JSONUtils (GWT Maven Archetype 3.1.0-3.0.0 API)
Date: 2014-02-28

org.gcube.application.aquamaps.aquamapsportlet.servlet.utils

## Class JSONUtils

- java.lang.Object
- - org.gcube.application.aquamaps.aquamapsportlet.servlet.utils.JSONUtils

-     public class JSONUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JSONUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static List<String>` | `JSONSpeciesIds(String toParse)`
    `static Map<String,org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.Perturbation>` | `JSONtoPert(String JSONString)`
    `static List<org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.Species>` | `JSONToSpecies(String toParse)`
    `static Map<org.gcube.application.aquamaps.aquamapsservice.stubs.fw.fields.EnvelopeFields,org.gcube.application.aquamaps.aquamapsservice.stubs.fw.model.Field>` | `JSONtoWeights(String JSONString)`
    `static String` | `pertMapToJSON(Map<SpeciesFields,Float> perturbations)`
    `static String` | `weitghtsToJSON(Map<String,Boolean> weights)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JSONUtils

          public JSONUtils()

  - ### Method Detail

    - #### JSONToSpecies

          public static List<org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.Species> JSONToSpecies(String toParse)
                                                                                                                     throws org.json.JSONException

      Throws:
        `org.json.JSONException`

    - #### JSONSpeciesIds

          public static List<String> JSONSpeciesIds(String toParse)
                                             throws Exception

      Throws:
        `Exception`

    - #### pertMapToJSON

          public static String pertMapToJSON(Map<SpeciesFields,Float> perturbations)
                                      throws org.json.JSONException

      Throws:
        `org.json.JSONException`

    - #### JSONtoPert

          public static Map<String,org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.Perturbation> JSONtoPert(String JSONString)
                                                                                                                             throws Exception

      Throws:
        `Exception`

    - #### weitghtsToJSON

          public static String weitghtsToJSON(Map<String,Boolean> weights)
                                       throws org.json.JSONException

      Throws:
        `org.json.JSONException`

    - #### JSONtoWeights

          public static Map<org.gcube.application.aquamaps.aquamapsservice.stubs.fw.fields.EnvelopeFields,org.gcube.application.aquamaps.aquamapsservice.stubs.fw.model.Field> JSONtoWeights(String JSONString)
                                                                                                                                                                                      throws Exception

      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.